## pg-gvm 22.4.0

=== CMakeLists.txt ===
# Copyright (C) 2020-2021 Greenbone Networks GmbH
#
# SPDX-License-Identifier: GPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.0)

message ("-- Configuring PostgreSQL extension for GVMd functions...")

project(pg-gvm
        VERSION 22.4.0
        LANGUAGES C)

# List all sourcefiles
set(SRCS
    src/regexp.c
    src/ical.c
    src/ical_utils.c
    src/hosts.c
    src/array.c)

# List all sql input files
set(SQL
    sql/regexp.in.sql
    sql/hosts.in.sql
    sql/ical.in.sql)

message ("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")

configure_file (VERSION.in VERSION)

if (POLICY CMP0005)
  cmake_policy (SET CMP0005 NEW)
endif (POLICY CMP0005)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include (FindPkgConfig)

# Check if libical is installed
pkg_check_modules (LIBICAL REQUIRED libical>=1.00)
pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.4)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Debug)
endif (NOT CMAKE_BUILD_TYPE)

OPTION (ENABLE_COVERAGE "Enable support for coverage analysis" OFF)
OPTION (DEBUG_FUNCTION_NAMES "Print function names on entry and exit" OFF)

## Retrieve git revision (at configure time)
include (GetGit)
if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
  if (EXISTS "${CMAKE_SOURCE_DIR}/.git/")
    if (GIT_FOUND)
      Git_GET_REVISION(${CMAKE_SOURCE_DIR} ProjectRevision)
      set (GIT_REVISION "~git-${ProjectRevision}")
    else (GIT_FOUND)
      set (GIT_REVISION "~git")
    endif (GIT_FOUND)
  endif (EXISTS "${CMAKE_SOURCE_DIR}/.git/")
endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")

# Set dev version if this is a development version and not a full release,
# unset (put value 0 or delete line) before a full release and reset after.
set (PROJECT_DEV_VERSION 1)

# If PROJECT_DEV_VERSION is set, the version string will be set to:
#   "major.minor.patch~dev${PROJECT_DEV_VERSION}${GIT_REVISION}"
# If PROJECT_DEV_VERSION is NOT set, the version string will be set to:
#   "major.minor.patch${GIT_REVISION}"
# For CMAKE_BUILD_TYPE "Release" the git revision will be empty.
if (PROJECT_DEV_VERSION)
  set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
endif (PROJECT_DEV_VERSION)

set (PROJECT_VERSION_STRING 
"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")

# Check if pg_config is available
find_program(PGCONFIG pg_config)

if (NOT PGCONFIG)
	message(FATAL_ERROR "Could not find pg_config")
endif ()

execute_process(COMMAND ${PGCONFIG} --version OUTPUT_VARIABLE PGVERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT "${PGVERSION}" MATCHES "${PG_REQUIRED_VERSION}")
	message(FATAL_ERROR "Wrong PostgreSQL version: found ${PGVERSION}, required ${PG_REQUIRED_VERSION}")
endif ()

# Retrieve postgres include directories
execute_process(COMMAND ${PGCONFIG} --includedir --includedir-server OUTPUT_VARIABLE PostgreSQL_ACTUAL_INCLUDE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

find_package (PostgreSQL REQUIRED)
if (NOT PostgreSQL_FOUND)
  message (SEND_ERROR "The PostgreSQL library is required.")
endif (NOT PostgreSQL_FOUND)
string (REGEX MATCH "^[ \t]*\([0-9]+\)\\.\([0-9]+\)\(.*\)" TEMP ${PostgreSQL_VERSION_STRING})
if (NOT CMAKE_MATCH_1)
  message (SEND_ERROR "Error matching PostgreSQL version.")
elseif ((CMAKE_MATCH_1 EQUAL 9 AND CMAKE_MATCH_2 LESS 6)
        OR (CMAKE_MATCH_1 LESS 9))
  message (SEND_ERROR "PostgreSQL version >= 9.6 is required")
  message (STATUS "PostgreSQL version ${CMAKE_MATCH_1}.${CMAKE_MATCH_2}${CMAKE_MATCH_3}")
endif (NOT CMAKE_MATCH_1)

# Set include directories
include_directories(${PostgreSQL_ACTUAL_INCLUDE_DIR} ${GLIB_INCLUDE_DIRS} ${LIBGVM_BASE_INCLUDE_DIRS})
include_directories("include")
link_libraries(${LIBICAL_LIBRARIES} ${LIBGVM_BASE_LDFLAGS})
set (CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed")
# Set control file for postgres extension definition
set(CONTROLIN "control.in")
set(CONTROLOUT "pg-gvm.control")

# Set SQL output file using the version to match postgres conventions
set(SQLOUT "pg-gvm--${PROJECT_VERSION}.sql")

# Determine the postgres lib dirs
execute_process(COMMAND ${PGCONFIG} --sharedir OUTPUT_VARIABLE PostgreSQL_SHARE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND ${PGCONFIG} --pkglibdir OUTPUT_VARIABLE PostgreSQL_EXTLIB_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

# Custom targets to build SQL and control files
add_custom_target(sqlscript ALL DEPENDS ${CMAKE_BINARY_DIR}/${SQLOUT})
add_custom_target(control ALL DEPENDS ${CMAKE_BINARY_DIR}/${CONTROLOUT})

## CPack configuration
set (CPACK_CMAKE_GENERATOR "Unix Makefiles")
set (CPACK_GENERATOR "TGZ")
set (CPACK_INSTALL_CMAKE_PROJECTS ".;gvm;ALL;/")
set (CPACK_MODULE_PATH "")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set (CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")
set (CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/README.md")
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_TOPLEVEL_TAG "")
set (CPACK_SYSTEM_NAME "")
set (CPACK_TOPLEVEL_TAG "")
set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_GIT}")
set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_PACKAGE_VENDOR "Greenbone Networks GmbH")
set (CPACK_SOURCE_IGNORE_FILES
"${CMAKE_BINARY_DIR}"
"/.git/"
"swp$"
)

# Define the library
add_library (${CMAKE_PROJECT_NAME} MODULE ${SRCS})

# Prepare control file
#add_custom_command(
	#OUTPUT ${CONTROLOUT}
	#COMMAND cat ${CONTROLIN} | sed -e's/LIBNAME/${CMAKE_PROJECT_NAME}/'  > ${CMAKE_BINARY_DIR}/${CONTROLOUT}
	#WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
	#DEPENDS ${CONTROLIN})
configure_file (${CONTROLIN} ${CONTROLOUT})

# Prepare SQL file
add_custom_command(
    OUTPUT ${SQLOUT}
    COMMAND mkdir -p ${CMAKE_BINARY_DIR}/sqlin
    COMMAND cp ${SQL} ${CMAKE_BINARY_DIR}/sqlin/
    COMMAND cd ${CMAKE_BINARY_DIR}/sqlin/ && find -type f | xargs cat > ${CMAKE_BINARY_DIR}/${SQLOUT}
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    DEPENDS ${SQL})

# Define install targets
if (CMAKE_INSTALL_DEV_PREFIX)
  install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/lib/postgresql")
  configure_file("${CMAKE_SOURCE_DIR}/pg-gvm-make-dev-links.in" "${CMAKE_BINARY_DIR}/pg-gvm-make-dev-links" @ONLY)
  install(
    FILES "${CMAKE_BINARY_DIR}/pg-gvm-make-dev-links"
    DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/sbin"
    PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
  )
  install(FILES "${CMAKE_BINARY_DIR}/${CONTROLOUT}" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
  install(FILES "${CMAKE_BINARY_DIR}/${SQLOUT}" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
  install(FILES "${CMAKE_SOURCE_DIR}/sql/update/pg-gvm--1.0--22.4.0.sql" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
  message(NOTICE "${CMAKE_PROJECT_NAME} installed with prefix. Run ${CMAKE_INSTALL_DEV_PREFIX}/sbin/pg-gvm-make-dev-links as root to create symlinks to this installation.")
else (CMAKE_INSTALL_DEV_PREFIX)
  install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION "${PostgreSQL_EXTLIB_DIR}")
  install(FILES "${CMAKE_BINARY_DIR}/${CONTROLOUT}" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
  install(FILES "${CMAKE_BINARY_DIR}/${SQLOUT}" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
  install(FILES "${CMAKE_SOURCE_DIR}/sql/update/pg-gvm--1.0--22.4.0.sql" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
endif (CMAKE_INSTALL_DEV_PREFIX)

=== debian/changelog ===
pg-gvm (22.4.0-2) unstable; urgency=medium

  * Source -only upload

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 10:16:43 +0100

pg-gvm (22.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #1026796)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Dec 2022 09:54:18 +0100

=== debian/control ===
Source: pg-gvm
Section: libs
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 cmake (>= 3.0),
 debhelper-compat (= 13),
 libical-dev (>= 1.0),
 libgvm-dev (>= 22.4.1),
 pkg-config,
 postgresql-all
Standards-Version: 4.6.2
Homepage: https://github.com/greenbone/pg-gvm
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git

Package: pg-gvm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${Postgresql:Recommends},
Provides: ${Postgresql:Provides}
Description: functionality for ical object manipulation
 The Greenbone Vulnerability Manager is the central management service between
 security scanners and the user clients.
 .
 It manages the storage of any vulnerability management configurations and of
 the scan results. Access to data, control commands and workflows is offered
 via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
 openVAS Scanner is controlled directly via protocol OTP while any other remote
 scanner is coupled with the Open Scanner Protocol (OSP).
 .
 pg-gvm contains functionality for ical object manipulation for PostgreSQL.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
		-DPostgreSQL_TYPE_INCLUDE_DIR=/usr/include/postgresql

## pg-gvm 22.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2020-2021 Greenbone Networks GmbH
+# Copyright (C) 2020-2021 Greenbone AG
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
@@ -20,7 +20,7 @@
 message ("-- Configuring PostgreSQL extension for GVMd functions...")
 
 project(pg-gvm
-        VERSION 22.4.0
+        VERSION 22.5.1
         LANGUAGES C)
 
 # List all sourcefiles
@@ -76,7 +76,7 @@
 
 # Set dev version if this is a development version and not a full release,
 # unset (put value 0 or delete line) before a full release and reset after.
-set (PROJECT_DEV_VERSION 1)
+set (PROJECT_DEV_VERSION 0)
 
 # If PROJECT_DEV_VERSION is set, the version string will be set to:
 #   "major.minor.patch~dev${PROJECT_DEV_VERSION}${GIT_REVISION}"
@@ -87,8 +87,12 @@
   set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
 endif (PROJECT_DEV_VERSION)
 
-set (PROJECT_VERSION_STRING 
+set (PROJECT_VERSION_STRING
 "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")
+
+# All versions with this API are compatible
+# If an sql update is required the minor version MUST be increased
+set (PROJECT_API_VERSION "${CMAKE_PROJECT_VERSION_MAJOR}.${CMAKE_PROJECT_VERSION_MINOR}")
 
 # Check if pg_config is available
 find_program(PGCONFIG pg_config)
@@ -128,7 +132,7 @@
 set(CONTROLOUT "pg-gvm.control")
 
 # Set SQL output file using the version to match postgres conventions
-set(SQLOUT "pg-gvm--${PROJECT_VERSION}.sql")
+set(SQLOUT "pg-gvm--${PROJECT_API_VERSION}.sql")
 
 # Determine the postgres lib dirs
 execute_process(COMMAND ${PGCONFIG} --sharedir OUTPUT_VARIABLE PostgreSQL_SHARE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
@@ -153,7 +157,7 @@
 set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_GIT}")
 set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
-set (CPACK_PACKAGE_VENDOR "Greenbone Networks GmbH")
+set (CPACK_PACKAGE_VENDOR "Greenbone AG")
 set (CPACK_SOURCE_IGNORE_FILES
 "${CMAKE_BINARY_DIR}"
 "/.git/"
@@ -164,11 +168,6 @@
 add_library (${CMAKE_PROJECT_NAME} MODULE ${SRCS})
 
 # Prepare control file
-#add_custom_command(
-	#OUTPUT ${CONTROLOUT}
-	#COMMAND cat ${CONTROLIN} | sed -e's/LIBNAME/${CMAKE_PROJECT_NAME}/'  > ${CMAKE_BINARY_DIR}/${CONTROLOUT}
-	#WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
-	#DEPENDS ${CONTROLIN})
 configure_file (${CONTROLIN} ${CONTROLOUT})
 
 # Prepare SQL file
@@ -191,11 +190,13 @@
   )
   install(FILES "${CMAKE_BINARY_DIR}/${CONTROLOUT}" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
   install(FILES "${CMAKE_BINARY_DIR}/${SQLOUT}" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
-  install(FILES "${CMAKE_SOURCE_DIR}/sql/update/pg-gvm--1.0--22.4.0.sql" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
+  file(GLOB SQL_UPDATE_FILES ${CMAKE_SOURCE_DIR}/sql/update/*.sql)
+  install(FILES ${SQL_UPDATE_FILES} DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
   message(NOTICE "${CMAKE_PROJECT_NAME} installed with prefix. Run ${CMAKE_INSTALL_DEV_PREFIX}/sbin/pg-gvm-make-dev-links as root to create symlinks to this installation.")
 else (CMAKE_INSTALL_DEV_PREFIX)
   install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION "${PostgreSQL_EXTLIB_DIR}")
   install(FILES "${CMAKE_BINARY_DIR}/${CONTROLOUT}" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
   install(FILES "${CMAKE_BINARY_DIR}/${SQLOUT}" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
-  install(FILES "${CMAKE_SOURCE_DIR}/sql/update/pg-gvm--1.0--22.4.0.sql" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
+  file(GLOB SQL_UPDATE_FILES ${CMAKE_SOURCE_DIR}/sql/update/*.sql)
+  install(FILES ${SQL_UPDATE_FILES} DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
 endif (CMAKE_INSTALL_DEV_PREFIX)

=== debian/changelog ===
pg-gvm (22.5.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:15:37 +0200

pg-gvm (22.5.1-0kali1) kali-experimental; urgency=medium

  * New upstream version 22.5.1
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Jun 2023 10:55:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake (>= 3.0),
  debhelper-compat (= 13),
  libical-dev (>= 1.0),
- libgvm-dev (>= 22.4.1),
+ libgvm-dev (>= 22.5.3),
  pkg-config,
  postgresql-all
 Standards-Version: 4.6.2

## pg-gvm 22.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 message ("-- Configuring PostgreSQL extension for GVMd functions...")
 
 project(pg-gvm
-        VERSION 22.5.1
+        VERSION 22.6.2
         LANGUAGES C)
 
 # List all sourcefiles
@@ -52,7 +52,7 @@
 # Check if libical is installed
 pkg_check_modules (LIBICAL REQUIRED libical>=1.00)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
-pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.4)
+pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.6)
 
 if (NOT CMAKE_BUILD_TYPE)
   set (CMAKE_BUILD_TYPE Debug)

=== debian/changelog ===
pg-gvm (22.6.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:19 +1100

pg-gvm (22.6.2-1build1) noble; urgency=medium

  * No change rebuild against libgvm22t64

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 22 Mar 2024 12:28:59 +0100

pg-gvm (22.6.2-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Convert to PostgreSQL extension packaging standards (Closes: #1052177):
    + Build for all supported PostgreSQL versions using pg_buildext.
    + Rename binary package to postgresql-PGVERSION-pg-gvm.
    + Conflicts/Replaces: pg-gvm.
  * debian/tests: Run regression tests using pgtap.

  [ Sophie Brun ]
  * New upstream version 22.6.2
  * Update minimal required version of libgvm-dev
  * Update debian/copyright
  * Update Breaks and Replaces versions for compatibility with Kali packages

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Sep 2023 10:36:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: pg-gvm
 Section: libs
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  cmake (>= 3.0),
  debhelper-compat (= 13),
  libical-dev (>= 1.0),
- libgvm-dev (>= 22.5.3),
+ libgvm-dev (>= 22.6.0),
  pkg-config,
  postgresql-all
 Standards-Version: 4.6.2
@@ -16,14 +17,16 @@
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git
 
-Package: pg-gvm
+Package: postgresql-16-pg-gvm
 Architecture: any
 Depends:
+ ${postgresql:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends: ${Postgresql:Recommends},
-Provides: ${Postgresql:Provides}
-Description: functionality for ical object manipulation
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
  The Greenbone Vulnerability Manager is the central management service between
  security scanners and the user clients.
  .

=== debian/tests/control ===
Tests: pg-gvm
Depends:
 @,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-16-pgtap,
Restrictions: allow-stderr

## pg-gvm 22.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 message ("-- Configuring PostgreSQL extension for GVMd functions...")
 
 project(pg-gvm
-        VERSION 22.6.2
+        VERSION 22.6.5
         LANGUAGES C)
 
 # List all sourcefiles

=== debian/changelog ===
pg-gvm (22.6.5-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 19 Sep 2024 10:23:24 +0200

pg-gvm (22.6.5-2) unstable; urgency=medium

  * Update for PostgreSQL 17 (Closes: #1082120)
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 Sep 2024 10:23:24 +0200

pg-gvm (22.6.5-1) unstable; urgency=medium

  * New upstream version 22.6.5
  * Replace obsolete package pkg-config with pkgconf
  * Make the build reproducible (Closes: #1068173), thanks to Chris Lamb

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Apr 2024 16:16:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pg-gvm
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -10,12 +9,138 @@
  debhelper-compat (= 13),
  libical-dev (>= 1.0),
  libgvm-dev (>= 22.6.0),
- pkg-config,
+ pkgconf,
  postgresql-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/greenbone/pg-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git
+
+Package: postgresql-10-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-11-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-12-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-13-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-14-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-15-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
 
 Package: postgresql-16-pg-gvm
 Architecture: any
@@ -37,3 +162,24 @@
  scanner is coupled with the Open Scanner Protocol (OSP).
  .
  pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-17-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.

=== debian/tests/control ===
Tests: pg-gvm
Depends:
 @,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-10-pgtap, postgresql-11-pgtap, postgresql-12-pgtap, postgresql-13-pgtap, postgresql-14-pgtap, postgresql-15-pgtap, postgresql-16-pgtap, postgresql-17-pgtap,
Restrictions: allow-stderr

## pg-gvm 22.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 message ("-- Configuring PostgreSQL extension for GVMd functions...")
 
 project(pg-gvm
-        VERSION 22.6.5
+        VERSION 22.6.8
         LANGUAGES C)
 
 # List all sourcefiles

=== debian/changelog ===
pg-gvm (22.6.8-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 26 Mar 2025 11:30:34 +0100

pg-gvm (22.6.8-1) unstable; urgency=medium

  * New upstream version 22.6.8
  * Refresh patches
  * Bump Standards-Version to 4.7.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Mar 2025 11:30:34 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libgvm-dev (>= 22.6.0),
  pkgconf,
  postgresql-all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/greenbone/pg-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git

## pg-gvm 22.6.11

=== CMakeLists.txt ===
# Copyright (C) 2020-2021 Greenbone AG
#
# SPDX-License-Identifier: GPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.5)

message("-- Configuring PostgreSQL extension for GVMd functions...")

project(pg-gvm VERSION 22.6.11 LANGUAGES C)

# List all sourcefiles
set(
  SRCS
  src/regexp.c
  src/ical.c
  src/ical_utils.c
  src/hosts.c
  src/array.c
)

# List all sql input files
set(SQL sql/regexp.in.sql sql/hosts.in.sql sql/ical.in.sql)

message("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")

configure_file(VERSION.in VERSION)

if(POLICY CMP0005)
  cmake_policy(SET CMP0005 NEW)
endif(POLICY CMP0005)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(FindPkgConfig)

# Check if libical is installed
pkg_check_modules(LIBICAL REQUIRED libical>=1.00)
pkg_check_modules(GLIB REQUIRED glib-2.0>=2.42)
pkg_check_modules(LIBGVM_BASE REQUIRED libgvm_base>=22.6)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug)
endif(NOT CMAKE_BUILD_TYPE)

option(ENABLE_COVERAGE "Enable support for coverage analysis" OFF)
option(DEBUG_FUNCTION_NAMES "Print function names on entry and exit" OFF)

## Retrieve git revision (at configure time)
include(GetGit)
if(NOT CMAKE_BUILD_TYPE MATCHES "Release")
  if(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
    if(GIT_FOUND)
      git_get_revision(${CMAKE_SOURCE_DIR} ProjectRevision)
      set(GIT_REVISION "~git-${ProjectRevision}")
    else(GIT_FOUND)
      set(GIT_REVISION "~git")
    endif(GIT_FOUND)
  endif(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
endif(NOT CMAKE_BUILD_TYPE MATCHES "Release")

# Set dev version if this is a development version and not a full release,
# unset (put value 0 or delete line) before a full release and reset after.
set(PROJECT_DEV_VERSION 0)

# If PROJECT_DEV_VERSION is set, the version string will be set to:
#   "major.minor.patch~dev${PROJECT_DEV_VERSION}${GIT_REVISION}"
# If PROJECT_DEV_VERSION is NOT set, the version string will be set to:
#   "major.minor.patch${GIT_REVISION}"
# For CMAKE_BUILD_TYPE "Release" the git revision will be empty.
if(PROJECT_DEV_VERSION)
  set(PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
endif(PROJECT_DEV_VERSION)

set(
  PROJECT_VERSION_STRING
  "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}"
)

# All versions with this API are compatible
# If an sql update is required the minor version MUST be increased
set(
  PROJECT_API_VERSION
  "${CMAKE_PROJECT_VERSION_MAJOR}.${CMAKE_PROJECT_VERSION_MINOR}"
)

# Check if pg_config is available
find_program(PGCONFIG pg_config)

if(NOT PGCONFIG)
  message(FATAL_ERROR "Could not find pg_config")
endif()

execute_process(
  COMMAND ${PGCONFIG} --version
  OUTPUT_VARIABLE PGVERSION
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(NOT "${PGVERSION}" MATCHES "${PG_REQUIRED_VERSION}")
  message(
    FATAL_ERROR
    "Wrong PostgreSQL version: found ${PGVERSION}, required ${PG_REQUIRED_VERSION}"
  )
endif()

# Retrieve postgres include directories
execute_process(
  COMMAND ${PGCONFIG} --includedir --includedir-server
  OUTPUT_VARIABLE PostgreSQL_ACTUAL_INCLUDE_DIR
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

find_package(PostgreSQL REQUIRED)
if(NOT PostgreSQL_FOUND)
  message(SEND_ERROR "The PostgreSQL library is required.")
endif(NOT PostgreSQL_FOUND)
string(
  REGEX MATCH
  "^[ \t]*\([0-9]+\)\\.\([0-9]+\)\(.*\)"
  TEMP
  ${PostgreSQL_VERSION_STRING}
)
if(NOT CMAKE_MATCH_1)
  message(SEND_ERROR "Error matching PostgreSQL version.")
elseif(
  (CMAKE_MATCH_1 EQUAL 9 AND CMAKE_MATCH_2 LESS 6)
  OR (CMAKE_MATCH_1 LESS 9)
)
  message(SEND_ERROR "PostgreSQL version >= 9.6 is required")
  message(
    STATUS
    "PostgreSQL version ${CMAKE_MATCH_1}.${CMAKE_MATCH_2}${CMAKE_MATCH_3}"
  )
endif(NOT CMAKE_MATCH_1)

# Set include directories
include_directories(
  ${PostgreSQL_ACTUAL_INCLUDE_DIR}
  ${GLIB_INCLUDE_DIRS}
  ${LIBGVM_BASE_INCLUDE_DIRS}
)
include_directories("include")
link_libraries(${LIBICAL_LIBRARIES} ${LIBGVM_BASE_LDFLAGS})
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed")
# Set control file for postgres extension definition
set(CONTROLIN "control.in")
set(CONTROLOUT "pg-gvm.control")

# Set SQL output file using the version to match postgres conventions
set(SQLOUT "pg-gvm--${PROJECT_API_VERSION}.sql")

# Determine the postgres lib dirs
execute_process(
  COMMAND ${PGCONFIG} --sharedir
  OUTPUT_VARIABLE PostgreSQL_SHARE_DIR
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
execute_process(
  COMMAND ${PGCONFIG} --pkglibdir
  OUTPUT_VARIABLE PostgreSQL_EXTLIB_DIR
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

# Custom targets to build SQL and control files
add_custom_target(sqlscript ALL DEPENDS ${CMAKE_BINARY_DIR}/${SQLOUT})
add_custom_target(control ALL DEPENDS ${CMAKE_BINARY_DIR}/${CONTROLOUT})

## CPack configuration
set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_GENERATOR "TGZ")
set(CPACK_INSTALL_CMAKE_PROJECTS ".;gvm;ALL;/")
set(CPACK_MODULE_PATH "")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_TOPLEVEL_TAG "")
set(CPACK_SYSTEM_NAME "")
set(CPACK_TOPLEVEL_TAG "")
set(CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_GIT}")
set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_PACKAGE_VENDOR "Greenbone AG")
set(CPACK_SOURCE_IGNORE_FILES "${CMAKE_BINARY_DIR}" "/.git/" "swp$")

# Define the library
add_library(${CMAKE_PROJECT_NAME} MODULE ${SRCS})

# Prepare control file
configure_file(${CONTROLIN} ${CONTROLOUT})

# Prepare SQL file
add_custom_command(
  OUTPUT ${SQLOUT}
  COMMAND mkdir -p ${CMAKE_BINARY_DIR}/sqlin
  COMMAND cp ${SQL} ${CMAKE_BINARY_DIR}/sqlin/
  COMMAND
    cd ${CMAKE_BINARY_DIR}/sqlin/ && find -type f | xargs cat >
    ${CMAKE_BINARY_DIR}/${SQLOUT}
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  DEPENDS ${SQL}
)

# Define install targets
if(CMAKE_INSTALL_DEV_PREFIX)
  install(
    TARGETS ${CMAKE_PROJECT_NAME}
    DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/lib/postgresql"
  )
  configure_file(
    "${CMAKE_SOURCE_DIR}/pg-gvm-make-dev-links.in"
    "${CMAKE_BINARY_DIR}/pg-gvm-make-dev-links"
    @ONLY
  )
  install(
    FILES "${CMAKE_BINARY_DIR}/pg-gvm-make-dev-links"
    DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/sbin"
    PERMISSIONS
      OWNER_WRITE
      OWNER_READ
      OWNER_EXECUTE
      GROUP_READ
      GROUP_EXECUTE
      WORLD_READ
      WORLD_EXECUTE
  )
  install(
    FILES "${CMAKE_BINARY_DIR}/${CONTROLOUT}"
    DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension"
  )
  install(
    FILES "${CMAKE_BINARY_DIR}/${SQLOUT}"
    DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension"
  )
  file(GLOB SQL_UPDATE_FILES ${CMAKE_SOURCE_DIR}/sql/update/*.sql)
  install(
    FILES ${SQL_UPDATE_FILES}
    DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension"
  )
  message(
    NOTICE
    "${CMAKE_PROJECT_NAME} installed with prefix. Run ${CMAKE_INSTALL_DEV_PREFIX}/sbin/pg-gvm-make-dev-links as root to create symlinks to this installation."
  )
else(CMAKE_INSTALL_DEV_PREFIX)
  install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION "${PostgreSQL_EXTLIB_DIR}")
  install(
    FILES "${CMAKE_BINARY_DIR}/${CONTROLOUT}"
    DESTINATION "${PostgreSQL_SHARE_DIR}/extension"
  )
  install(
    FILES "${CMAKE_BINARY_DIR}/${SQLOUT}"
    DESTINATION "${PostgreSQL_SHARE_DIR}/extension"
  )
  file(GLOB SQL_UPDATE_FILES ${CMAKE_SOURCE_DIR}/sql/update/*.sql)
  install(
    FILES ${SQL_UPDATE_FILES}
    DESTINATION "${PostgreSQL_SHARE_DIR}/extension"
  )
endif(CMAKE_INSTALL_DEV_PREFIX)

=== debian/changelog ===
pg-gvm (22.6.11-2) unstable; urgency=medium

  * Build for postgresql 18 (Closes: #1117280)
  * Update debian/watch to Version 5

 -- Sophie Brun <sophie@kali.org>  Fri, 31 Oct 2025 12:32:26 +0100

pg-gvm (22.6.11-1) unstable; urgency=medium

  * Update my email
  * New upstream version 22.6.11
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 14:15:11 +0200

=== debian/control ===
Source: pg-gvm
Section: libs
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends:
 cmake (>= 3.0),
 debhelper-compat (= 13),
 libical-dev (>= 1.0),
 libgvm-dev (>= 22.6.0),
 pkgconf,
 postgresql-all
Standards-Version: 4.7.2
Homepage: https://github.com/greenbone/pg-gvm
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git

Package: postgresql-18-pg-gvm
Architecture: any
Depends:
 ${postgresql:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Provides: pg-gvm
Conflicts: pg-gvm (<< 22.6.2-1~)
Replaces: pg-gvm (<< 22.6.2-1~)
Description: PostgreSQL extension for ical object manipulation
 The Greenbone Vulnerability Manager is the central management service between
 security scanners and the user clients.
 .
 It manages the storage of any vulnerability management configurations and of
 the scan results. Access to data, control commands and workflows is offered
 via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
 openVAS Scanner is controlled directly via protocol OTP while any other remote
 scanner is coupled with the Open Scanner Protocol (OSP).
 .
 pg-gvm contains functionality for ical object manipulation for PostgreSQL.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pgxs

override_dh_auto_configure:
	set -eux; \
	for pgversion in $(shell pg_buildext supported-versions); do \
		dh_auto_configure -B"build-$$pgversion" -- \
			-DCMAKE_BUILD_TYPE=Release \
			-DPGCONFIG=/usr/lib/postgresql/$$pgversion/bin/pg_config \
			-DPostgreSQL_TYPE_INCLUDE_DIR=/usr/include/postgresql; \
	done

override_dh_pgxs_test:
	# defer testing to autopkgtest

=== debian/tests/control ===
Tests: pg-gvm
Depends:
 @,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-18-pgtap,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: Github
Owner: greenbone
Project: pg-gvm

## pg-gvm 22.6.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 message("-- Configuring PostgreSQL extension for GVMd functions...")
 
-project(pg-gvm VERSION 22.6.11 LANGUAGES C)
+project(pg-gvm VERSION 22.6.12 LANGUAGES C)
 
 # List all sourcefiles
 set(

=== debian/changelog ===
pg-gvm (22.6.12-1) unstable; urgency=medium

  * Add missing dep for autopkgtest
  * New upstream version 22.6.12
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 08 Jan 2026 12:04:17 +0100

=== debian/tests/control ===
Tests: pg-gvm
Depends:
 @,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-18-pgtap,
 postgresql-common-dev
Restrictions: allow-stderr
